ICommitLogExecutorService (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.commitlog
Interface ICommitLogExecutorService

All Known Implementing Classes:
  AbstractCommitLogExecutorService

    public interface ICommitLogExecutorService

Like ExecutorService, but customized for batch and periodic commitlog execution.

Method Summary
`void` | `add(org.apache.cassandra.db.commitlog.CommitLog.LogRecordAdder adder)` submits the adder for execution and blocks for it to be synced, if necessary
`void` | `awaitTermination()` Blocks until shutdown is complete.
`long` | `getCompletedTasks()` Get the number of completed tasks
`long` | `getPendingTasks()` Get the number of tasks waiting to be executed
`void` | `shutdown()` shuts down the CommitLogExecutor in an orderly fashion
`
`<T> java.util.concurrent.Future<T>`
` | `submit(java.util.concurrent.Callable<T> task)`

Method Detail

### getCompletedTasks

    long getCompletedTasks()

  Get the number of completed tasks

### getPendingTasks

    long getPendingTasks()

  Get the number of tasks waiting to be executed

### submit

    <T> java.util.concurrent.Future<T> submit(java.util.concurrent.Callable<T> task)

### add

    void add(org.apache.cassandra.db.commitlog.CommitLog.LogRecordAdder adder)

  submits the adder for execution and blocks for it to be synced, if necessary

### shutdown

    void shutdown()

  shuts down the CommitLogExecutor in an orderly fashion

### awaitTermination

    void awaitTermination()
                          throws java.lang.InterruptedException

  Blocks until shutdown is complete.

  Throws:
    `java.lang.InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation